[librerelease] Doesn't force SIGEXT and SIGID to be set
2012-07-26 01:12 PM - aurelien

Status: fixed % Done: 0%
Priority: bug

Assignee: lukeshu

Category:

Description

It seems that during the 'librerelease’ command the gpg fail ::

$ librerelease

> WARNING: Empty SIGEXT var, using default .sig

-> Signing /home/uncle/packages/staging/gnu/gnun-0.4-1-any.pkg.tar.xz...
gpg: no default secret key: No secret key

gpg: signing failed: No secret key

> ERROR: Signing failed

History

#2 - 2012-07-26 01:27 PM - mtjm

There are two different problems. SIGEXT always needs to be set to the same non-default value, as #parabola logs show it is confusing. Is there
any reason to not change it to use always ".sig" and remove the variable?

Do you have SIGID set correctly, do you run librerelease as your user (not root) and do you have that your GPG key available on the machine you
use?

#4 - 2012-11-28 09:27 AM - lukeshu

It now defaults to ".sig"

#5 - 2012-11-28 12:44 PM - lukeshu
| take it back, | thought | did, but didn't change it.

Please answer me this: Why would SIGEXT ever be something other than ".sig".

#7 - 2012-11-29 09:53 PM - lukeshu

| should comment that the documentation states that having the two variables unset disables package signing--apparently false.

#8 - 2012-11-30 04:18 PM - lukeshu

libretools.conf now forces them to be set (in git).
